com.mapinfo.midev.language

## Interface ILanguage

All Known Implementing Classes:
  AggregationLanguage, FilterLanguage

    public interface ILanguage

Identifies an object as a language for interacting with a table. Implementations of the `ILanguage` interface are typically implemented as singletons.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Returns the name of the language as a String.

### Method Detail

#### getName

    String getName()

Returns the name of the language as a String. A language has a name that is intended to be used for logging and diagnostic purposes. As such, it does not need to be unique. However, it should be a meaningful short name for the language.

Returns:
  the name of the language as a String